#!/usr/bin/bash

DRIVER=$1
LOG_FILE=$2

exec 2>&1
exec >>$LOG_FILE

if [[ "$DRIVER" = "kmod-nvidia" ]]; then
	if rpm -qa | grep -q kmod-nvidia; then
		if ! rpm -qa | grep -q akmod-nvidia; then
			exit 0
		fi
	fi
fi

if [[ "$DRIVER" = "kmod-stk83xx" ]]; then
	if rpm -qa | grep -q kmod-stk83xx; then
		if ! rpm -qa | grep -q akmod-stk83xx; then
			exit 0
		fi
	fi
fi

if [[ "$DRIVER" = "kmod-focal-spi" ]]; then
	if rpm -qa | grep -q kmod-focal-spi; then
		if ! rpm -qa | grep -q akmod-focal-spi; then
			exit 0
		fi
	fi
fi


if [[ "$DRIVER" = "alsa-firmware" ]]; then
	rpm -qa | grep -q alsa-firmware
	exit $?
fi

if [[ "$DRIVER" = "akmod-nvidia" ]]; then
	rpm -qa | grep -q akmod-nvidia
	exit $?
fi

if [[ "$DRIVER" = "akmod-stk83xx" ]]; then
	rpm -qa | grep -q akmod-stk83xx
	exit $?
fi

if [[ "$DRIVER" = "akmod-focal-spi" ]]; then
	rpm -qa | grep -q akmod-focal-spi
	exit $?
fi

exit 1
