#!/usr/bin/bash

GETTEXT_DOMAIN='driver-manager'

RESTART_MESS=`gettext $GETTEXT_DOMAIN 'Restart'`
RESTART_LATER_MESS=`gettext $GETTEXT_DOMAIN 'Restart later'`
DRV_INSTALL_OK_MESS=`gettext $GETTEXT_DOMAIN 'Driver has been installed successfully'`
DRV_INSTALL_ERR_MESS=`gettext $GETTEXT_DOMAIN 'Driver installation error'`
DRV_UNINSTALL_OK_MESS=`gettext $GETTEXT_DOMAIN 'Driver has been successfully removed'`
DRV_UNINSTALL_ERR_MESS=`gettext $GETTEXT_DOMAIN 'Driver uninstall error'`
CLOSE_BUTTON_MESS=`gettext $GETTEXT_DOMAIN 'Close'`
INST_DRV_MESS=`gettext $GETTEXT_DOMAIN 'Installing driver'`
UNINST_DRV_MESS=`gettext $GETTEXT_DOMAIN 'Uninstalling driver'`

export YAD_TITLE=`gettext $GETTEXT_DOMAIN 'Driver Manager'`

export YAD_OPT='--center --image=/usr/lib/driver-manager/image/driver-manager.svg --window-icon=/usr/lib/driver-manager/image/driver-manager.svg'

YAD_PROGRESS_PID_FILE=`mktemp`

Quit()
{
	RET_CODE=$1
	if [ $RET_CODE -eq 1 ]; then
		pkexec reboot
	else
		kill $(ps -ef | grep -E "$KEY|/usr/bin/driver-manager" | grep -E 'yad|/usr/bin/perl' | awk '{ print $2 }')
		slee 0.5
		kill $(ps -ef | grep '/usr/bin/driver-manager' | grep -v grep | awk '{ print $2 }')
		$PROG
	fi
}

